Create Account
Create a new Account within the Organization.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization. The Organization represents your company as a direct customer of the m3ter service.
Body
Account request for operations such as Create or Update Account.
Name of the Account.
1 - 200Code of the Account. This is a unique short code used for the Account.
1 - 80^([^[\p{Cntrl}\s]])|([^[\p{Cntrl}\s]][[^[\p{Cntrl}\s]] ]*[^[\p{Cntrl}\s]])$Contact email for the Account.
The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level, customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
Contact address for the Account.
Parent Account ID, or null if this Account does not have a parent.
Optional setting to define a billing cycle date, which sets the date of the first Bill and acts as a reference for when in the applied billing frequency period subsequent bills are created:
- For example, if you attach a Plan to an Account where the Plan is configured for monthly billing frequency and you've defined the period the Plan will apply to the Account to be from January 1st, 2022 until January 1st, 2023. You then set a
billEpochdate of February 15th, 2022. The first Bill will be created for the Account on February 15th, and subsequent Bills created on the 15th of the months following for the remainder of the billing period - March 15th, April 15th, and so on. - If not defined, then the relevant Epoch date set for the billing frequency period at Organization level will be used instead.
- The date is in ISO-8601 format.
Purchase Order Number of the Account.
Optional attribute - allows you to set a purchase order number that comes through into invoicing. For example, your financial systems might require this as a reference for clearing payments.
100Account level billing currency, such as USD or GBP. Optional attribute:
- If you define an Account currency, this will be used for bills.
- If you do not define a currency, the billing currency defined at Organizational level will be used.
Note: If you've attached a Plan to the Account that uses a different currency to the billing currency, then you must add the relevant currency conversion rate at Organization level to ensure the billing process can convert line items calculated using the Plan currency into the selected billing currency. If you don't add these conversion rates, then bills will fail for the Account.
"USD"
The UUID of the statement definition used when Bill statements are generated for the Account. If no statement definition is specified for the Account, the statement definition specified at Organizational level is used.
Bill statements can be used as informative backing sheets to invoices. Based on the usage breakdown defined in the statement definition, generated statements give a breakdown of usage charges on Account Bills, which helps customers better understand usage charges incurred over the billing period.
See Working with Bill Statements in the m3ter documentation for more details.
Specify whether to auto-generate statements once Bills are approved or locked.
- None. Statements will not be auto-generated.
- JSON. Statements are auto-generated in JSON format.
- JSON and CSV. Statements are auto-generated in both JSON and CSV formats.
NONE, JSON, JSON_AND_CSV Define the order in which any Prepayment or Balance amounts on the Account are to be drawn-down against for billing. Four options:
"PREPAYMENT","BALANCE". Draw-down against Prepayment credit before Balance credit."BALANCE","PREPAYMENT". Draw-down against Balance credit before Prepayment credit."PREPAYMENT". Only draw-down against Prepayment credit."BALANCE". Only draw-down against Balance credit.
NOTES:
- Any setting you define here overrides the setting for credit application order at Organization level.
- If the Account belongs to a Parent/Child Account hierarchy, then the
creditApplicationOrdersettings are not available, and the draw-down order defaults always to Prepayment then Balance order.
PREPAYMENT, BALANCE Enter the number of days after the Bill generation date that you want to show on Bills as the due date.
Note: If you define daysBeforeBillDue at individual Account level, this will take precedence over any daysBeforeBillDue setting defined at Organization level.
x > 0Response
Return the created Account
Response containing an AccountResponse entity.
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level,customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
Name of the Account.
Code of the Account. This is a unique short code used for the Account.
Contact address for the Account.
Contact email for the Account.
Parent Account ID, or null if this account does not have a parent.
Defines first bill date for Account Bills. For example, if the Plan attached to the Account is set for monthly billing frequency and you set the first bill date to be January 1st, Bills are created every month starting on that date.
Optional attribute - if not defined, then first bill date is determined by the Epoch settings at Organizational level.
Purchase Order Number of the Account.
Optional attribute - allows you to set a purchase order number that comes through into invoicing. For example, your financial systems might require this as a reference for clearing payments.
Account level billing currency, such as USD or GBP. Optional attribute:
- If you define an Account currency, this will be used for bills.
- If you do not define a currency, the billing currency defined at Organizational will be used.
Note: If you've attached a Plan to the Account that uses a different currency to the billing currency, then you must add the relevant currency conversion rate at Organization level to ensure the billing process can convert line items calculated using the Plan currency into the selected billing currency. If you don't add these conversion rates, then bills will fail for the Account.
"USD"
The UUID of the statement definition used when Bill statements are generated for the Account. If no statement definition is specified for the Account, the statement definition specified at Organizational level is used.
Bill statements can be used as informative backing sheets to invoices. Based on the usage breakdown defined in the statement definition, generated statements give a breakdown of usage charges on Account Bills, which helps customers better understand usage charges incurred over the billing period.
See Working with Bill Statements in the m3ter documentation for more details.
The DateTime when the Account was created (in ISO 8601 format).
The DateTime when the Account was last modified (in ISO 8601 format).
The ID of the user who created the account.
The ID of the user who last modified the Account.
Specify whether to auto-generate statements once Bills are approved or locked.
- None. Statements will not be auto-generated.
- JSON. Statements are auto-generated in JSON format.
- JSON and CSV. Statements are auto-generated in both JSON and CSV formats.
NONE, JSON, JSON_AND_CSV The order in which any Prepayment or Balance amounts on the Account are to be drawn-down against for billing. Four options:
"PREPAYMENT","BALANCE". Draw-down against Prepayment credit before Balance credit."BALANCE","PREPAYMENT". Draw-down against Balance credit before Prepayment credit."PREPAYMENT". Only draw-down against Prepayment credit."BALANCE". Only draw-down against Balance credit.
PREPAYMENT, BALANCE The number of days after the Bill generation date shown on Bills as the due date.